/* TroiaPreview
 * version 0.3 date 2004-09-03
 * Copyright (C) 2003-2004 1stein <1stein@schuermans.info>
 * Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html
 */

#include <stdio.h>
#include <windows.h>

#include "Log.h"

//global variables
FILE * LogFile = NULL;

//start logging into log file
void LogStart( char * FileName )
{
	if( LogFile != NULL )
		fclose( LogFile );
	LogFile = NULL;
	if( FileName != NULL && FileName[0] != 0 )
		LogFile = fopen( FileName, "wt" );
}

//write a line to the logfile
void Log( char * Info, char * Text )
{
	//local variables
	SYSTEMTIME SysTime;
	char Timestamp[64];

	//logfile not open, no info or no text
	if( LogFile == NULL || Info[0] == 0 || Text[0] == 0 )
		return;

	//write timestamp
	GetLocalTime( &SysTime );
	sprintf( Timestamp, "%04d-%02d-%02d %02d:%02d:%02d ",
		SysTime.wYear, SysTime.wMonth, SysTime.wDay, SysTime.wHour, SysTime.wMinute, SysTime.wSecond );
	fwrite( Timestamp, sizeof( char ), strlen( Timestamp ), LogFile );

	//write Info
	fwrite( Info, sizeof( char ), strlen( Info ), LogFile );

	//write seperator
	fwrite( ": ", sizeof( char ), 2, LogFile );

	//write Text
	fwrite( Text, sizeof( char ), strlen( Text ), LogFile );

	//write newline
	fwrite( "\n", sizeof( char ), 1, LogFile );
}

//stop logging
void LogStop( )
{
	if( LogFile != NULL )
		fclose( LogFile );
	LogFile = NULL;
}

